/*-
 *  Copyright 2020 Beuth Hochschule für Technik Berlin, Hochschule für Technik Stuttgart
 * 
 *  This file is part of CityDoctor2.
 *
 *  CityDoctor2 is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  CityDoctor2 is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with CityDoctor2.  If not, see <https://www.gnu.org/licenses/>.
 */
package de.hft.stuttgart.citydoctor2.checkresult;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;

@XmlAccessorType(XmlAccessType.FIELD)
public class ModelStatistics {
	
	@XmlElement(name = "num_buildings", required = true)
	private int numBuildings;
	
    @XmlElement(name = "num_vegetation", required = true)
    private int numVegetation;
    
    @XmlElement(name = "num_transportation", required = true)
    private int numTransportation;
    
    @XmlElement(name = "num_land_objects", required = true)
    private int numLandObjects;
    
    @XmlElement(name = "num_bridge_objects", required = true)
    private int numBridgeObjects;
    
    @XmlElement(name = "num_water_objects", required = true)
    private int numWaterObjects;

	public int getNumBuildings() {
		return numBuildings;
	}

	public void setNumBuildings(int numBuildings) {
		this.numBuildings = numBuildings;
	}

	public int getNumVegetation() {
		return numVegetation;
	}

	public void setNumVegetation(int numVegetation) {
		this.numVegetation = numVegetation;
	}

	public int getNumTransportation() {
		return numTransportation;
	}

	public void setNumTransportation(int numTransportation) {
		this.numTransportation = numTransportation;
	}

	public int getNumLandObjects() {
		return numLandObjects;
	}

	public void setNumLandObjects(int numLandObjects) {
		this.numLandObjects = numLandObjects;
	}

	public int getNumBridgeObjects() {
		return numBridgeObjects;
	}

	public void setNumBridgeObjects(int numBridgeObjects) {
		this.numBridgeObjects = numBridgeObjects;
	}

	public int getNumWaterObjects() {
		return numWaterObjects;
	}

	public void setNumWaterObjects(int numWaterObjects) {
		this.numWaterObjects = numWaterObjects;
	}

}
